GDB (xrefs)

Public Member Functions | Public Attributes | List of all members
gdb.printer.bound_registers.MpxBound128Printer Class Reference

## Public Member Functions
def | __init__ (self, val)
def | to_string (self)
def | __init__ (self, val)
def | to_string (self)

## Public Attributes
| val

## Detailed Description

    Adds size field to a mpx __gdb_builtin_type_bound128 type.

Definition at line 26 of file bound_registers.py.

## Constructor & Destructor Documentation

## ◆ __init__() [1/2]

def gdb.printer.bound_registers.MpxBound128Printer.__init__ | ( |  | self,
|  |  | val
| ) |  |

Definition at line 29 of file bound_registers.py.

Referenced by gdb.printer.bound_registers.MpxBound128Printer.__init__().

## ◆ __init__() [2/2]

def gdb.printer.bound_registers.MpxBound128Printer.__init__ | ( |  | self,
|  |  | val
| ) |  |

Definition at line 29 of file bound_registers.py.

References gdb.printer.bound_registers.MpxBound128Printer.__init__(), gdb.printer.bound_registers.MpxBound128Printer.val, gdb.FrameDecorator.SymValueWrapper.val, YYSTYPE.val, and watchpoint.val.

## Member Function Documentation

## ◆ to_string() [1/2]

def gdb.printer.bound_registers.MpxBound128Printer.to_string | ( |  | self | ) |

Definition at line 32 of file bound_registers.py.

References gdb.printer.bound_registers.MpxBound128Printer.val, gdb.FrameDecorator.SymValueWrapper.val, YYSTYPE.val, and watchpoint.val.

Referenced by gdb.printer.bound_registers.MpxBound128Printer.to_string().

## ◆ to_string() [2/2]

def gdb.printer.bound_registers.MpxBound128Printer.to_string | ( |  | self | ) |

Definition at line 32 of file bound_registers.py.

References gdb.printer.bound_registers.MpxBound128Printer.to_string(), gdb.printer.bound_registers.MpxBound128Printer.val, gdb.FrameDecorator.SymValueWrapper.val, YYSTYPE.val, and watchpoint.val.

## Member Data Documentation

## ◆ val

gdb.printer.bound_registers.MpxBound128Printer.val

Definition at line 30 of file bound_registers.py.

Referenced by gdb.printer.bound_registers.MpxBound128Printer.__init__(), gdb.printing._EnumInstance.__init__(), gdb-gdb.TypeFlagsPrinter.__str__(), gdb-gdb.StructMainTypePrettyPrinter.bounds_img(), gdb-gdb.StructMainTypePrettyPrinter.flags_to_string(), gdb-gdb.StructMainTypePrettyPrinter.owner_to_string(), gdb-gdb.StructMainTypePrettyPrinter.struct_field_img(), gdb.printer.bound_registers.MpxBound128Printer.to_string(), gdb-gdb.StructTypePrettyPrinter.to_string(), gdb-gdb.StructMainTypePrettyPrinter.to_string(), gdb.printing._EnumInstance.to_string(), and gdb-gdb.StructMainTypePrettyPrinter.type_specific_img().

The documentation for this class was generated from the following file:

- /tmp/gdb-8.1/gdb/data-directory/python/gdb/printer/bound_registers.py